Package Details: blaze 3.7-4

Git Clone URL: https://aur.archlinux.org/blaze.git (read-only, click to copy)
Package Base: blaze
Description: An open-source, high-performance C++ math library for dense and sparse arithmetic.
Upstream URL: https://bitbucket.org/blaze-lib/blaze
Licenses: BSD
Provides: blaze
Submitter: afnan
Maintainer: afnan
Last Packager: afnan
Votes: 0
Popularity: 0.000000
First Submitted: 2019-06-29 20:31
Last Updated: 2020-04-22 01:27

Latest Comments

afnan commented on 2020-04-22 01:27

Hey guys, I updated the package. Apologies for the issues. Updated the hashes and the other stuff in the PKGBUILD. Let me know if there are any other issues.

orgarten commented on 2020-04-21 05:58

Could you please update the sha256sums as well?

==> Validating source files with sha256sums...
    blaze-3.7.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

orgarten commented on 2020-04-20 06:33

Currently blaze-3.6.tar.gz is downloaded as blaze-3.7.tar.gz:

source=("$pkgname-$pkgver.tar.gz::https://bitbucket.org/blaze-lib/blaze/get/v3.6.tar.gz")

I think, that would be a better PKGBUILD:

# Maintainer: Afnan Enayet <afnan at afnan.io>
pkgname=blaze
provides=('blaze')
pkgver=3.7
pkgrel=1
pkgdesc='An open-source, high-performance C++ math library for dense and sparse arithmetic.'
url='https://bitbucket.org/blaze-lib/blaze'
arch=('any')
license=('BSD')
makedepends=('cmake' 'git' 'make' 'gcc' 'blas' 'lapack')
sha256sums=('ef3cbc5db7d62dcdde0af88d3c951051254afd750d26773406fddb6afc5ad890')
source=("$pkgname-$pkgver.tar.gz::https://bitbucket.org/blaze-lib/blaze/downloads/$pkgname-$pkgver.tar.gz")

build() {
    cd $pkgname-$pkgver
    mkdir -p build
    cd build
    cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release ..
    make -j$(nproc)
}

package() {
    cd $pkgname-$pkgver/build
    make DESTDIR="$pkgdir/" install
}

bartus commented on 2019-08-25 12:32

Did I forgot to mention lapack is also missing, sorry for the overlook.

afnan commented on 2019-08-25 00:46

Updated -- thanks

bartus commented on 2019-08-24 15:40

Missing blas makedependency.

Check AUR/blaze-git

INSTALL.md

makepkg error message:

CMake Error at /usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:137 (message):                                                                           
  Could NOT find BLAS (missing: BLAS_LIBRARIES)                                                                                                                           
Call Stack (most recent call first):                                                                                                                                      
  /usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)                                                                          
  /usr/share/cmake-3.15/Modules/FindBLAS.cmake:806 (find_package_handle_standard_args)                                                                                    
  /usr/share/cmake-3.15/Modules/FindLAPACK.cmake:193 (find_package)                  
  CMakeLists.txt:72 (find_package)                                                   


-- Configuring incomplete, errors occurred!